Name:       mmsd
Version:    0.0.0
Release:    0%{dist}
Summary:    Multimedia Messaging Service

License:    GPL-2
URL:        https://source.puri.sm/kop316/mmsd
Source0:    https://source.puri.sm/kop316/mmsd/-/archive/ModemManager/%{name}-ModemManager.tar.gz

Source1:    mmsd-mm.service
Source2:    mms
Source3:    ModemManagerSettings

BuildRequires:      gcc
BuildRequires:      gcc-c++
BuildRequires:      make
BuildRequires:      dbus-c++-devel
BuildRequires:      sysconftool
BuildRequires:      automake
BuildRequires:      autoconf
BuildRequires:      libtool
BuildRequires:      pkgconfig(mm-glib)
BuildRequires:      pkgconfig(gobject-2.0)
BuildRequires:      pkgconfig(glib-2.0)
BuildRequires:      systemd-devel



%description
mmsd is a lower level daemon that transmits and recieves MMSes. It works with
both the ofono stack and the Modem Manager stack.

Please note that mmsd alone will not get MMS working! It is designed to work 
with a higher level chat application to facilitate fetching and 
sending MMS. It interfaces with other applications via the dbus.

%prep
%autosetup -p1 -n mmsd-ModemManager

%build
./bootstrap-configure --prefix=/usr/  --enable-debug --enable-maintainer-mode
make %{?_smp_mflags}

%install
%make_install

mkdir -p %{buildroot}/usr/lib/systemd/user/
cp %{SOURCE1} %{buildroot}/usr/lib/systemd/user/

%post
%systemd_user_post mmsd-mm.service

%preun
%systemd_user_preun mmsd-mm.service

%postun
%systemd_user_postun_with_restart mmsd-mm.service


%files
%{_libexecdir}/mmsd
%{_userunitdir}/mmsd-mm.service
%doc README
%license COPYING

%changelog
* Sat Feb 06 2021 Tor - 0.0.0-0
- initial package
